\name{PNAR-package}
\alias{PNAR-package}
\alias{PNAR}
\docType{package}
\title{
Poisson Network Autoregressive Models
}

\description{
Quasi likelihood-based methods for estimating linear and log-linear Poisson Network Autoregression models with p lags and covariates. Tools for testing the linearity versus several non-linear alternatives. Tools for simulation of multivariate count distributions, from linear and non-linear PNAR models, by using a specific copula construction. References include:

Armillotta, M. and K. Fokianos (2023). Nonlinear network autoregression. \emph{Annals of Statistics}, 51(6): 2526--2552.

Armillotta, M. and K. Fokianos (2024). Count network autoregression. \emph{Journal of Time Series Analysis}, 45(4): 584--612.

Armillotta, M., Tsagris, M. and Fokianos, K. (2024). Inference for Network Count Time Series with the R Package PNAR. \emph{The R Journal}, 15/4: 255--269.
}

\details{
\tabular{ll}{
Package: \tab PNAR\cr
Type: \tab Package\cr
Version: \tab 1.7\cr
Date: \tab 2024-09-05\cr
License: \tab GPL(>=2)\cr
}
}

\author{
Michail Tsagris, Mirko Armillotta and Konstantinos Fokianos.
}

\references{
Armillotta, M. and K. Fokianos (2024). Count network autoregression. \emph{Journal of Time Series Analysis}, 45(4): 584--612.

Armillotta, M. and K. Fokianos (2023). Nonlinear network autoregression. \emph{Annals of Statistics}, 51(6): 2526--2552.

Armillotta, M., Tsagris, M. and Fokianos, K. (2024). Inference for Network Count Time Series with the R Package PNAR. \emph{The R Journal}, 15/4: 255--269.
}

\note{
\bold{Disclaimer:} Dr Mirko Armillotta and Konstantinos Fokianos wrote the
initial functions. Dr Tsagris modified them, created the package and he is the
maintainer.

We would to like to acknowledge Manos Papadakis for his help with the "htest" class object and S3 methods (print() and summary() functions).
}



